--liquibase formatted sql
--changeset cb:1
CREATE TABLE
  binary_info (
    id BIGINT GENERATED ALWAYS AS IDENTITY PRIMARY KEY NOT NULL,
    sha256 bytea UNIQUE NOT NULL,
    md5 bytea NOT NULL,
    size BIGINT NOT NULL,
    date_added TIMESTAMP WITHOUT TIME ZONE DEFAULT CURRENT_TIMESTAMP NOT NULL
  );

CREATE INDEX binary_info_md5 ON binary_info (md5);

--changeset cb:2
CREATE TABLE
  s3_file_info (
    id BIGINT GENERATED ALWAYS AS IDENTITY PRIMARY KEY NOT NULL,
    s3_key CHARACTER VARYING(1024) NOT NULL,
    sha256 bytea UNIQUE NOT NULL,
    md5 bytea NOT NULL,
    tlsh bytea,
    size INTEGER NOT NULL,
    stored_size INTEGER NOT NULL,
    date_added TIMESTAMP WITHOUT TIME ZONE DEFAULT CURRENT_TIMESTAMP NOT NULL,
    truncated BOOLEAN NOT NULL,
    binary_info BIGINT NOT NULL
  );

CREATE INDEX s3_file_info_md5 ON s3_file_info (md5);

CREATE INDEX s3_file_info_tlsh ON s3_file_info (tlsh);

ALTER TABLE ONLY s3_file_info
ADD CONSTRAINT fk_s3_file_info_binary_info__id FOREIGN KEY (binary_info) REFERENCES binary_info (id) ON UPDATE RESTRICT ON DELETE RESTRICT;
