--liquibase formatted sql
--changeset cb:1
--comment: Move truncated column from s3_file_info to binary_info
ALTER TABLE binary_info
ADD COLUMN truncated BOOLEAN;

UPDATE binary_info
SET
  truncated = s3_file_info.truncated
FROM
  s3_file_info
WHERE
  binary_info.id = s3_file_info.binary_info;

ALTER TABLE binary_info
ALTER COLUMN truncated
SET NOT NULL;

ALTER TABLE s3_file_info
DROP COLUMN truncated;

--changeset cb:2
--comment: Reverse one to many relationship between binary_info and s3_file_info
ALTER TABLE binary_info
ADD COLUMN s3_file_info BIGINT;

UPDATE binary_info
SET
  s3_file_info = s3_file_info.id
FROM
  s3_file_info
WHERE
  binary_info.id = s3_file_info.binary_info;

ALTER TABLE binary_info
ALTER COLUMN s3_file_info
SET NOT NULL;

ALTER TABLE s3_file_info
DROP CONSTRAINT fk_s3_file_info_binary_info__id;

ALTER TABLE binary_info
ADD CONSTRAINT fk_binary_info_s3_file_info__id FOREIGN KEY (s3_file_info) REFERENCES s3_file_info (id) ON UPDATE RESTRICT ON DELETE RESTRICT;

ALTER TABLE s3_file_info
DROP COLUMN binary_info;
